using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples {
    public partial class DisplayASimpleMap : System.Web.UI.Page {
        protected void Page_Load(object sender, EventArgs e) {
            if (!Page.IsPostBack) {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                Map1.MapTools.OverlaySwitcher.Enabled = true;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);

                SimpleMarkerOverlay markerOverlay = new SimpleMarkerOverlay("MarkerOverlay");
                markerOverlay.DragMode = MarkerDragMode.Drag;
                markerOverlay.Markers.Add(new Marker(-94.48242, 38.75977, new WebImage(21, 25, -10.5f, -25f)));
                Map1.CustomOverlays.Add(markerOverlay);
            }
        }

        protected void Timer1_Tick1(object sender, EventArgs e) {
            SimpleMarkerOverlay overlay = (SimpleMarkerOverlay)Map1.CustomOverlays["MarkerOverlay"];
            //overlay.Markers.Add(new Marker(new Random().Next(-180, 180), new Random().Next(-90, 90), new WebImage(21, 25, -10.5f, -25f)));
            overlay.Markers[0].Position = new PointShape(new Random().Next(-180, 180), new Random().Next(-90, 90));
        }
    }
}
